Bug 466309

Summary: formalpara's title does not align correctly when these are listitems
Product: [Community] Publican Reporter: Jeroen van Meeuwen <vanmeeuwen+fedora>
Component: publicanAssignee: Ruediger Landmann <rlandman>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.6CC: jfearn, mhideo, mmcallis, publican-list, r.landmann
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.2-0.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-20 00:20:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Resulting PDF file
none
Example Fixed PDF
none
PDF created with BETA none

Description Jeroen van Meeuwen 2008-10-09 13:32:26 EDT
Created attachment 319884 [details]
Resulting PDF file

Description of problem:

When I make pdf-en-US, the formalpara's titles do not align correctly if the formalpara's are inside an itemized or ordered list

Version-Release number of selected component (if applicable):

publican-0.37-0.fc9.noarch

How reproducible:

Every time

Steps to Reproduce:
1. git clone git://git.fedorahosted.org/courses.git
2. cd courses/Workshops/PuppetWorkshop
3. make pdf-en-US
4. xdg-open tmp/en-US/pdf/Puppet_Workshop.pdf

See page viii (feedback topic) for a perfect example. PDF attached. This is an example of 

<itemizedlist>
 <listitem>
  <formalpara>
   <title>foo</title>
   <para>para</para>
  </formalpara>
 </listitem>
</itemizedlist>
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Fearn 2008-10-10 01:16:53 EDT
This is actually the default behaviour for formal para titles.

I discussed this with Brian and we agreed that this behaviour is counter intuitive and changed the formal para title to follow it's parents indenting.
Comment 2 Fedora Update System 2008-10-16 18:43:59 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 3 Fedora Update System 2008-11-06 21:55:17 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Jeroen van Meeuwen 2008-11-20 19:08:36 EST
publican-0.38-0.fc10 does not have the fix apparently
Comment 5 Jeff Fearn 2008-11-20 19:53:19 EST
How very embarrassment, I accidentally reverted this change 3 days after I made it <blush>
Comment 6 Jeff Fearn 2008-11-20 20:01:10 EST
Created attachment 324263 [details]
Example Fixed PDF
Comment 7 Fedora Update System 2008-12-01 00:39:47 EST
publican-0.39-0.fc9,publican-fedora-0.16-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.39-0.fc9,publican-fedora-0.16-0.fc9
Comment 8 Jeroen van Meeuwen 2008-12-01 12:14:33 EST
Awesome, it seems even the colors are right this time! Thanks a great deal!
Comment 9 Fedora Update System 2009-01-14 21:56:37 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jeroen van Meeuwen 2009-05-05 18:06:16 EDT
This has been reintroduced with versions:

publican-doc-0.44-0.fc11.noarch
publican-ovirt-0.4-4.fc11.noarch
publican-fedora-0.18-0.fc11.noarch
publican-0.44-0.fc11.noarch
publican-genome-1.0.0-2.fc10.noarch
Comment 11 Bug Zapper 2009-06-09 22:55:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Michael Hideo 2009-06-16 22:21:43 EDT
Adding to QA run. - Mike
Comment 13 Bug Zapper 2009-07-14 13:00:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Jeff Fearn 2009-08-10 19:28:19 EDT
This should be fixed in the BETA.
Comment 15 Ruediger Landmann 2009-09-08 20:18:53 EDT
Created attachment 360149 [details]
PDF created with BETA
Comment 16 Ruediger Landmann 2009-09-08 20:19:20 EDT
Fixed in 1.0
Comment 17 Fedora Update System 2009-11-17 21:19:50 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 18 Fedora Update System 2009-11-20 00:19:04 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-11-25 09:54:10 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.